/* This file is part of libmt library
   Copyright (C) 2002  Multitran Project <libmt@multitran.ru>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__93259FE8_01C4_11D2_A535_02608C3E60ED__INCLUDED_)
#define AFX_STDAFX_H__93259FE8_01C4_11D2_A535_02608C3E60ED__INCLUDED_

#ifdef _MSC_VER

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#define WIN32

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT
#include <afxtempl.h>
#include <afxpriv.h>
#include <afxole.h>
#include <afxdisp.h>

#define MENUBAR_SUPPORT
//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

// Standard win32 includes
#include <share.h>
#include <io.h>

#else //if defined (MULTITRAN_LINUX)

#include <stdint.h>

//typedef short int __int16;
//typedef __int16 short int
typedef int16_t __int16;
typedef uint16_t __uint16;
typedef unsigned long long DWORDLONG;
typedef const char* LPCTSTR;
typedef bool BOOL;
typedef unsigned int UINT;
typedef unsigned long ULONG;
typedef void* LPMALLOC; 
typedef unsigned char* LPCSTR;

#define _NO_WINDOWS_INTERFACE
#define NO_RPCNDR
#define _NO_CPROCESS

#define MAX_PATH PATH_MAX

#define ASSERT assert

#endif

#endif // !defined(AFX_STDAFX_H__93259FE8_01C4_11D2_A535_02608C3E60ED__INCLUDED_)
