/* This file is part of libmt library
   Copyright (C) 2002  Multitran Project <libmt@multitran.ru>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

#ifndef __STRESS_H     /* prevent multiple includes */
#define __STRESS_H

#include "btree.h"

class Stress : public BTree
{
public:
	Stress (int lang = 0);
	int CreateStressDatabase (Cbyte &fname);
	int GetStressString (long l, Cbyte &buff);
};

class StressDb : public BTree
{
public:
	StressDb (int lang = 0);
	int	OpenDb (int lang);
//	int	CreateStressDatabase (Cbyte &fname);
	int	GetStressClassNumber (long wordnum);
	int	SetStressClassNumber (long wordnum, __int16 stressclass);
};

#endif
