/* This file is part of libmt library
   Copyright (C) 2002  Multitran Project <libmt@multitran.ru>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

// Save menu position chosen by the user

#ifndef __USERTRA_H     /* prevent multiple includes */
#define __USERTRA_H

#include "btree.h"

class UserTra : public BTree {
public:
   UserTra (int langin = 0, int langout = 0);
   ~UserTra();
   int OpenUserTra (int langin = 0, int langout = 0, Cbyte &datapath = data.m_datapath);
   long GetUserTermNumber (byte *nums, int size);
   int SetUserTermNumber (byte *nums, int size, long position);
   int DeleteUserTermNumber (byte *nums, int size, long termnum);
};

extern UserTra UserTrans[MAXUSERTRA];
extern UserTra *GetUserTraPointer (int langin, int langout, Cbyte &datapath = data.m_datapath);

#endif
