/* This file is part of libmt library
   Copyright (C) 2002  Multitran Project <libmt@multitran.ru>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

#include <stem.h>

class CSuggest {
public:
   CSuggest (int lang);
   ~CSuggest ();
   int	MaxDif (Cbyte &word, int size, Cbyte &bword, int bsize);
   int	MDif (Cbyte &w1, Cbyte &w2);
   int	AddNews (int wasdif);
   int	AddSugg (Cbyte &buff);
   int	SFunc (Cbyte &word1, Cbyte &receive1);
   int	DoSuggest (Cbyte &word1, Cbyte &receive1);
	int	IsSimilar (Cbyte &word1, Cbyte &word2);
	int	TryLemm (Cbyte buff);

   int	m_maxsugg;
   Cbyte m_cword;
	Cbyte receive;
   int	wascase;
   int	m_lang;
	int	m_CheckFirstForm;
	int	m_CheckInIndex;
	int	m_TrySplitInTwo;
	Stem *m_Sptr;
};
#define MAXRECEIVE      200
