/* This file is part of libmt library
   Copyright (C) 2002  Multitran Project <libmt@multitran.ru>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

#ifndef __UserAdd_H
#define __UserAdd_H

#include "btree.h"

class UserAdd : public BTree
{
public:
	UserAdd();
	int	Rebuild ();
	int	FindUser (Cbyte &username);
	int	OpenUserAdd();
	int	AddUserTerm (TraBuff &TB);
	int	DeleteUserTerm (Cbyte &UserName, long termnum);
	long	GetTermNumber (int i);
	int	GetMaxTermNumbers ();
	int	DeleteTermPosition (int elem);
	long	CountMaxTermsForUser (Cbyte &name);
	int	DeleteUser (Cbyte &UserName);
	int	TotalDeleteUser (Cbyte &UserName);
	int	DeleteUserTerm (TraBuff &TB);
	int	SortTermsByDate ();
};

#endif
